/**
 * 配置参考: https://cli.vuejs.org/zh/config/
 */
module.exports = {
  publicPath: process.env.NODE_ENV === 'production' ? './' : '/',
  chainWebpack: config => {
    const svgRule = config.module.rule('svg')
    svgRule.uses.clear()
    svgRule
      .test(/\.svg$/)
      .use('svg-sprite-loader')
      .loader('svg-sprite-loader')
  },
  productionSourceMap: false,
  configureWebpack: config => {
    if (process.env.NODE_ENV === 'production') {
      config.performance = {
        maxEntrypointSize: 2097152, // 大小改为2mb
        maxAssetSize: 1572864
      }
    }
  },
  devServer: {
    open: true,
    port: 8001,
    overlay: {
      errors: true,
      warnings: true
    },
    proxy: {
      '/api': {
        target: 'http://india.mes.picaiba.com/'
      },
      '/yd-monitor': {
        target: 'http://192.168.1.18:8080/' // 开发地址
      },
      '/ureport': {
        target: 'http://india.mes.picaiba.com/' // ureporter
      }
    }
  }
}
